# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(Digest/SHA.pm) perl(File/Copy.pm) perl(File/HomeDir.pm) perl(File/Spec.pm) perl(Getopt/Long.pm) perl(HTTP/Request/Common.pm) perl(Module/Build/Tiny.pm) perl(Plack.pm) perl(Plack/Request.pm) perl(Plack/Runner.pm) perl(Plack/Test.pm) perl(Pod/Markdown/Passthrough.pm) perl(Pod/Usage.pm) perl(Starman.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name Net-PhotoBackup-Server
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: perl5 server for https://photobackup.github.io
Group: Development/Perl
License: perl
URL: https://github.com/PhotoBackup/server-perl

Source0: http://cpan.org.ua/authors/id/D/DA/DAVEWEBB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Net::PhotoBackup::Server provides a server and startup script for
PhotoBackup Android app. It was developed by
reading the API docs
and looking at the sourcecode of the
bottle and
flask python implementations.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/N*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Fri Oct 23 2015 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

